Get Identity Provider By Id

Get Identity Provider By Id
Get an identity provider by its id

Get a specific identity irovider using its id

Request
URI
GET
https://{api_host}/v1/identity-providers/{id}
COPY
Path Parameters
string
id
Required

ID of the Identity Provider


Responses
200

OK

Returns IdentityProvider of type(s) application/json
{
    "id": "string",
    "name": "string",
    "type": "string",
    "domainNames": [
        "string"
    ],
    "identitySources": [
        {
            "name": "string",
            "type": "string",
            "domainNames": [
                "string"
            ],
            "ldap": {
                "type": "string",
                "domainName": "string",
                "domainAlias": "string",
                "username": "string",
                "sourceDetails": {
                    "usersBaseDn": "string",
                    "groupsBaseDn": "string",
                    "certChain": [
                        "string"
                    ],
                    "serverEndpoints": [
                        "string"
                    ]
                }
            }
        }
    ],
    "ldap": {
        "type": "string",
        "domainName": "string",
        "domainAlias": "string",
        "username": "string",
        "sourceDetails": {
            "usersBaseDn": "string",
            "groupsBaseDn": "string",
            "certChain": [
                "string"
            ],
            "serverEndpoints": [
                "string"
            ]
        }
    },
    "oidc": {
        "clientId": "string",
        "discoveryEndpoint": "string",
        "authEndpoint": "string",
        "authMethod": "One among: CLIENT_SECRET_BASIC, CLIENT_SECRET_POST, CLIENT_SECRET_JWT, PRIVATE_KEY_JWT",
        "logoutEndpoint": "string",
        "issuer": "string",
        "publicKeyUri": "string",
        "tokenEndpoint": "string"
    },
    "status": "One among: ACTIVE, INACTIVE",
    "idpMessage": "string",
    "fedIdp": {
        "name": "string",
        "source": "One among: OKTA, MICROSOFT_ENTRA_ID, PING_FEDERATE",
        "directoryList": {
            "directoryId": "string",
            "name": "string",
            "defaultDomain": "string",
            "domains": [
                "string"
            ],
            "federatedIdpSourceType": "One among: OKTA, MICROSOFT_ENTRA_ID, PING_FEDERATE"
        },
        "oidcInfo": {
            "clientId": "string",
            "discoveryEndpoint": "string",
            "authEndpoint": "string",
            "authMethod": "One among: CLIENT_SECRET_BASIC, CLIENT_SECRET_POST, CLIENT_SECRET_JWT, PRIVATE_KEY_JWT",
            "logoutEndpoint": "string",
            "issuer": "string",
            "publicKeyUri": "string",
            "tokenEndpoint": "string"
        },
        "syncClientTokenTTL": 0,
        "syncClientTokenInfo": {
            "expireIn": 0,
            "expireAt": "string",
            "token": "string",
            "scimUrl": "string"
        }
    }
}
string
id
Read-Only

ID of the Identity Provider

string
name
Read-Only

The user-friendly name for the Identity Provider

string
type
Read-Only

The type of the Identity Provider

array of string
domainNames
Read-Only

The Domains of the Identity Provider

array of object
identitySources
Read-Only

The Identity Sources of the Identity Provider

object
ldap
Read-Only

Represents Identity management configuration when the protocol is LDAP

object
oidc
Read-Only

Represents Identity management configuration when the provider is based on OIDC

string
status
Read-Only

The status of the Identity Provider (set as ACTIVE for currently enabled Identity Provider)

string
idpMessage
Read-Only

The message conveyed by VCF for managing the Identity Provider

object
fedIdp
Read-Only

The identity management info when the provider is via broker federation


401

Unauthorized Request

Returns ErrorResponse of type(s) application/json
{
    "errorCode": "string",
    "arguments": [
        "string"
    ],
    "context": {
        "context": "string"
    },
    "message": "string",
    "remediationMessage": "string",
    "cause": [
        {
            "type": "string",
            "message": "string"
        }
    ],
    "nestedErrors": [
        {
            "errorCode": "string",
            "arguments": [
                "string"
            ],
            "context": {
                "context": "string"
            },
            "message": "string",
            "remediationMessage": "string",
            "cause": [
                {
                    "type": "string",
                    "message": "string"
                }
            ],
            "nestedErrors": [
                "ErrorResponse Object"
            ],
            "referenceToken": "string"
        }
    ],
    "referenceToken": "string"
}
string
errorCode
Optional

errorCode

array of string
arguments
Optional

arguments

object
context
Optional

context

string
message
Optional

message

string
remediationMessage
Optional

remediationMessage

array of object
cause
Optional

Describes a single error cause

array of object
nestedErrors
Optional

nestedErrors

string
referenceToken
Optional

referenceToken


500

Internal server error

Returns Error of type(s) application/json
{
    "errorCode": "string",
    "errorType": "string",
    "arguments": [
        "string"
    ],
    "context": {
        "context": "string"
    },
    "message": "string",
    "remediationMessage": "string",
    "causes": [
        {
            "type": "string",
            "message": "string"
        }
    ],
    "nestedErrors": [
        {
            "errorCode": "string",
            "errorType": "string",
            "arguments": [
                "string"
            ],
            "context": {
                "context": "string"
            },
            "message": "string",
            "remediationMessage": "string",
            "causes": [
                {
                    "type": "string",
                    "message": "string"
                }
            ],
            "nestedErrors": [
                "Error Object"
            ],
            "referenceToken": "string"
        }
    ],
    "referenceToken": "string"
}
string
errorCode
Read-Only

The minor error code

string
errorType
Read-Only

The error type

array of string
arguments
Read-Only

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only

The error context (e.g. the component where it occurred).

string
message
Read-Only

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of object
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v1/identity-providers/{id}